Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060415 - SELinux is preventing /usr/libexec/geoclue from 'read' accesses on the file .
Summary: SELinux is preventing /usr/libexec/geoclue from 'read' accesses on the file .
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b5f4b9d18f090dc4b0ff6c323de...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-01 13:45 UTC by Igor Gnatenko
Modified: 2015-03-16 12:27 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.13.1-116.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-10 02:58:43 UTC


Attachments (Terms of Use)

Description Igor Gnatenko 2014-02-01 13:45:30 UTC
Description of problem:
SELinux is preventing /usr/libexec/geoclue from 'read' accesses on the file .

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that geoclue should be allowed read access on the  file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep geoclue /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:geoclue_t:s0-s0:c0.c1023
Target Context                system_u:object_r:passwd_file_t:s0
Target Objects                 [ file ]
Source                        geoclue
Source Path                   /usr/libexec/geoclue
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           geoclue2-2.0.0-1.fc21.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-19.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.14.0-0.rc0.git17.1.fc21.x86_64
                              #1 SMP Fri Jan 31 14:01:11 MSK 2014 x86_64 x86_64
Alert Count                   16
First Seen                    2014-01-28 21:09:36 MSK
Last Seen                     2014-01-31 14:33:50 MSK
Local ID                      62b2f4df-a690-4508-bae7-84c1ae506a2f

Raw Audit Messages
type=AVC msg=audit(1391164430.339:414): avc:  denied  { read } for  pid=2317 comm="geoclue" name="passwd" dev="dm-1" ino=819435 scontext=system_u:system_r:geoclue_t:s0-s0:c0.c1023 tcontext=system_u:object_r:passwd_file_t:s0 tclass=file


type=SYSCALL msg=audit(1391164430.339:414): arch=x86_64 syscall=open success=no exit=EACCES a0=7f672b5dc099 a1=80000 a2=1b6 a3=7f673181c7b8 items=0 ppid=1 pid=2317 auid=4294967295 uid=997 gid=996 euid=997 suid=997 fsuid=997 egid=996 sgid=996 fsgid=996 tty=(none) ses=4294967295 comm=geoclue exe=/usr/libexec/geoclue subj=system_u:system_r:geoclue_t:s0-s0:c0.c1023 key=(null)

Hash: geoclue,geoclue_t,passwd_file_t,file,read

Additional info:
reporter:       libreport-2.1.12
hashmarkername: setroubleshoot
kernel:         3.14.0-0.rc0.git17.1.fc21.x86_64
type:           libreport

Comment 1 Lukas Vrabec 2014-02-01 23:45:06 UTC
commit 02927debb188749219b95024d41efb3e5328668a
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Sun Feb 2 00:36:28 2014 +0100

    Allow geoclue to read /etc/passwd


Fixed and will be included in new selinux-policy package.

Comment 3 Jaroslav Reznik 2015-03-03 17:11:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Fedora Update System 2015-03-06 22:08:39 UTC
selinux-policy-3.13.1-116.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-116.fc22

Comment 5 Fedora Update System 2015-03-09 08:37:34 UTC
Package selinux-policy-3.13.1-116.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-116.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3508/selinux-policy-3.13.1-116.fc22
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-03-10 02:58:43 UTC
selinux-policy-3.13.1-116.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.